Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160610 - eclipse will not launch - error could not be logged
Summary: eclipse will not launch - error could not be logged
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 02:09 UTC by joe
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-21 21:02:02 UTC


Attachments (Terms of Use)

Description joe 2005-06-16 02:09:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
[joe@Knoppix books]$ eclipse
java.io.IOException: The FrameworkAdaptor object could not perform the operation   at org.eclipse.osgi.framework.adaptor.core.AbstractFrameworkAdaptor.initializeStorage() (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at org.eclipse.osgi.framework.internal.core.Framework.initialize(org.eclipse.osgi.framework.adaptor.FrameworkAdaptor) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at org.eclipse.osgi.framework.internal.core.Framework.Framework(org.eclipse.osgi.framework.adaptor.FrameworkAdaptor) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at org.eclipse.osgi.framework.internal.core.OSGi.createFramework(org.eclipse.osgi.framework.adaptor.FrameworkAdaptor) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at org.eclipse.osgi.framework.internal.core.OSGi.OSGi(org.eclipse.osgi.framework.adaptor.FrameworkAdaptor) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(java.lang.String[], java.lang.Runnable) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(java.lang.String[], java.lang.Runnable) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at java.lang.reflect.Method.invoke(java.lang.Object, java.lang.Object[]) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.core.launcher.Main.invokeFramework(java.lang.String[], java.net.URL[]) (Unknown Source)
   at org.eclipse.core.launcher.Main.basicRun(java.lang.String[]) (Unknown Source)
   at org.eclipse.core.launcher.Main.run(java.lang.String[]) (Unknown Source)
   at org.eclipse.core.launcher.Main.main(java.lang.String[]) (Unknown Source)
   at gnu.java.lang.MainThread.call_main() (/usr/lib/libgcj.so.6.0.0)
   at gnu.java.lang.MainThread.run() (/usr/lib/libgcj.so.6.0.0)
!SESSION 2005-06-15 21:57:51.431 -----------------------------------------------eclipse.buildId=I20050401-1645
java.fullversion=GNU libgcj 4.0.0 20050519 (Red Hat 4.0.0-8)
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86 -data /home/joe/workspace

!ENTRY org.eclipse.osgi 2005-06-15 21:57:51.433
!MESSAGE Startup error
!STACK 1
java.lang.RuntimeException: The FrameworkAdaptor object could not perform the operation
   at org.eclipse.osgi.framework.internal.core.Framework.initialize(org.eclipse.osgi.framework.adaptor.FrameworkAdaptor) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at org.eclipse.osgi.framework.internal.core.Framework.Framework(org.eclipse.osgi.framework.adaptor.FrameworkAdaptor) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at org.eclipse.osgi.framework.internal.core.OSGi.createFramework(org.eclipse.osgi.framework.adaptor.FrameworkAdaptor) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at org.eclipse.osgi.framework.internal.core.OSGi.OSGi(org.eclipse.osgi.framework.adaptor.FrameworkAdaptor) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(java.lang.String[], java.lang.Runnable) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(java.lang.String[], java.lang.Runnable) (/usr/lib/eclipse/plugins/org.eclipse.osgi_3.1.0.jar.so)
   at java.lang.reflect.Method.invoke(java.lang.Object, java.lang.Object[]) (/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.core.launcher.Main.invokeFramework(java.lang.String[], java.net.URL[]) (Unknown Source)
   at org.eclipse.core.launcher.Main.basicRun(java.lang.String[]) (Unknown Source)
   at org.eclipse.core.launcher.Main.run(java.lang.String[]) (Unknown Source)
   at org.eclipse.core.launcher.Main.main(java.lang.String[]) (Unknown Source)
   at gnu.java.lang.MainThread.call_main() (/usr/lib/libgcj.so.6.0.0)
   at gnu.java.lang.MainThread.run() (/usr/lib/libgcj.so.6.0.0)

(eclipse:18820): Gtk-WARNING **: Unable to locate theme engine in module_path: "redmond95",

(eclipse:18820): Gtk-WARNING **: Unable to locate theme engine in module_path: "redmond95",


Version-Release number of selected component (if applicable):
eclipse-ecj-3.1.0_fc-0.M6.22
eclipse-platform-3.1.0_fc-0.M6.22
eclipse-pde-devel-3.1.0_fc-0.M6.22
eclipse-jdt-devel-3.1.0_fc-0.M6.22
eclipse-cdt-3.0.0_fc-0.M6.7
eclipse-platform-devel-3.1.0_fc-0.M6.22
eclipse-changelog-2.0.1_fc-21
eclipse-pde-3.1.0_fc-0.M6.22
eclipse-jdt-3.1.0_fc-0.M6.22
eclipse-bugzilla-0.1.0_fc-16
eclipse-pydev-0.9.3_fc-7

How reproducible:
Always

Steps to Reproduce:
1. launch from Applications menu
2. launch from command line
3.
  

Actual Results:  see description above

Expected Results:  the eclipse IDE

Additional info:

Comment 1 Andrew Overholt 2005-06-16 13:43:04 UTC
Try rm -rf ~/.eclipse and possibly a new workspace.

Comment 2 Andrew Overholt 2005-09-21 14:34:59 UTC
Any news here?  Does it still not work?

Comment 3 joe 2005-09-21 20:38:15 UTC
works just fine with the reinstall - thanks

Comment 4 Andrew Overholt 2005-09-21 21:02:02 UTC
Great.  Closing.


Note You need to log in before you can comment on or make changes to this bug.